Package org.codehaus.groovy.reflection

# Interface GroovyClassValue<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  `GroovyClassValueJava7`

public interface GroovyClassValue<T>
Abstraction for Java version dependent ClassValue implementations.

See Also:
  - `ClassValue`

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`GroovyClassValue.ComputeValue<T>`

## Method Summary

Modifier and Type
Method
Description
`T`
`get(Class<?> type)`
`void`
`remove(Class<?> type)`

## Method Details

### get

T get(Class<?> type)

### remove

void remove(Class<?> type)